ExpressionMessageInfoMapping (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.ExpressionMessageInfoMapping class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class ExpressionMessageInfoMapping

    java.lang.Object
      org.mule.routing.ExpressionMessageInfoMapping

All Implemented Interfaces:
  MuleContextAware, MessageInfoMapping

    public class ExpressionMessageInfoMapping

extends Object
implements MessageInfoMapping, MuleContextAware

TODO

Constructor Summary
`ExpressionMessageInfoMapping()`

Method Summary
`String` | `getCorrelationId(MuleMessage message)`
`String` | `getCorrelationIdExpression()`
`String` | `getMessageId(MuleMessage message)`
`String` | `getMessageIdExpression()`
`void` | `setCorrelationIdExpression(String correlationIdExpression)`
`void` | `setMessageIdExpression(String messageIdExpression)`
`void` | `setMuleContext(MuleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionMessageInfoMapping

    public ExpressionMessageInfoMapping()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getMessageId

    public String getMessageId(MuleMessage message)

  Specified by:
    `getMessageId` in interface `MessageInfoMapping`

### getCorrelationId

    public String getCorrelationId(MuleMessage message)

  Specified by:
    `getCorrelationId` in interface `MessageInfoMapping`

### getCorrelationIdExpression

    public String getCorrelationIdExpression()

### setCorrelationIdExpression

    public void setCorrelationIdExpression(String correlationIdExpression)

### getMessageIdExpression

    public String getMessageIdExpression()

### setMessageIdExpression

    public void setMessageIdExpression(String messageIdExpression)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.